Debian Bug report logs - #347722
xterm: the cursor disappears when launching screen

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Pierre Lombard <p_l@gmx.fr>

Date: Thu, 12 Jan 2006 10:33:04 UTC

Severity: important

Found in version xterm/208-2

Fixed in version xterm/223-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Pierre Lombard <p_l@gmx.fr>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Lombard <p_l@gmx.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: the cursor disappears when launching screen
Date: Thu, 12 Jan 2006 11:31:06 +0100
Package: xterm
Version: 208-2
Severity: important

The cursor character is disappearing and no longer reappearing. To
reproduce the bug:
 => start 'xterm' (with or without blinking cursor)
 => launch 'screen'
 => no cursor is shown

When exiting screen, no cursor is shown again, even after typing a
'reset'.

I have tried with a screen package from both unstable and testing but it
did not fix the bug.

FWIW, I have downgraded to the current xterm from the testing system
(6.8.2.dfsg.1-11) and it fixed the problem.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages xterm depends on:
ii  libc6                     2.3.5-11       GNU C Library: Shared libraries an
ii  libfontconfig1            2.3.2-1.1      generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.9.0.dfsg.1-3 Inter-Client Exchange library
ii  libncurses5               5.5-1          Shared libraries for terminal hand
ii  libsm6                    6.9.0.dfsg.1-3 X Window System Session Management
ii  libx11-6                  6.9.0.dfsg.1-3 X Window System protocol client li
ii  libxaw8                   6.9.0.dfsg.1-3 X Athena widget set library
ii  libxext6                  6.9.0.dfsg.1-3 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxmu6                   6.9.0.dfsg.1-3 X Window System miscellaneous util
ii  libxrender1               1:0.9.0.2-1    X Rendering Extension client libra
ii  libxt6                    6.9.0.dfsg.1-3 X Toolkit Intrinsics
ii  xlibs-data                6.9.0.dfsg.1-3 X Window System client data
ii  zlib1g                    1:1.2.3-9      compression library - runtime

Versions of packages xterm recommends:
ii  xutils                    6.9.0.dfsg.1-3 X Window System utility programs

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 347722@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Pierre Lombard <p_l@gmx.fr>, 347722@bugs.debian.org
Subject: Re: Bug#347722: xterm: the cursor disappears when launching screen
Date: Thu, 12 Jan 2006 06:39:02 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jan 12, 2006 at 11:40:38AM +0100, Pierre Lombard wrote:
> Package: xterm
> Version: 208-2
> Severity: important
> 
> The cursor character is disappearing and no longer reappearing. To
> reproduce the bug:
>  => start 'xterm' (with or without blinking cursor)
>  => launch 'screen'
>  => no cursor is shown

Is this something you can easily reproduce?  (I use screen frequently,
and haven't noticed a problem).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Pierre Lombard <p_l@gmx.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 347722@bugs.debian.org (full text, mbox):

From: Pierre Lombard <p_l@gmx.fr>
To: Thomas Dickey <dickey@radix.net>
Cc: 347722@bugs.debian.org
Subject: Re: Bug#347722: xterm: the cursor disappears when launching screen
Date: Thu, 12 Jan 2006 13:06:57 +0100
* Thomas Dickey <dickey@radix.net> [2006-01-12 12:55]:
> On Thu, Jan 12, 2006 at 11:40:38AM +0100, Pierre Lombard wrote:
> > Package: xterm
> > Version: 208-2
> > Severity: important
> > 
> > The cursor character is disappearing and no longer reappearing. To
> > reproduce the bug:
> >  => start 'xterm' (with or without blinking cursor)
> >  => launch 'screen'
> >  => no cursor is shown
> 
> Is this something you can easily reproduce?  (I use screen frequently,
> and haven't noticed a problem).

Any time I did what's written above this with xterm 208-2. With testing,
it worked.

I'll try to gather further information for the bug report, it may also
be something related to my configuration that triggers this behavior
here.

-- 
Pierre Lombard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Pierre Lombard <p_l@gmx.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 347722@bugs.debian.org (full text, mbox):

From: Pierre Lombard <p_l@gmx.fr>
To: Thomas Dickey <dickey@radix.net>
Cc: 347722@bugs.debian.org
Subject: Re: Bug#347722: xterm: the cursor disappears when launching screen
Date: Fri, 13 Jan 2006 19:30:47 +0100
* Pierre Lombard <p_l@gmx.fr> [2006-01-12 13:18]:
> * Thomas Dickey <dickey@radix.net> [2006-01-12 12:55]:
> > On Thu, Jan 12, 2006 at 11:40:38AM +0100, Pierre Lombard wrote:
> > > Package: xterm
> > > Version: 208-2
> > > Severity: important
> > > 
> > > The cursor character is disappearing and no longer reappearing. To
> > > reproduce the bug:
> > >  => start 'xterm' (with or without blinking cursor)
> > >  => launch 'screen'
> > >  => no cursor is shown
> > 
> > Is this something you can easily reproduce?  (I use screen frequently,
> > and haven't noticed a problem).
> 
> Any time I did what's written above this with xterm 208-2. With testing,
> it worked.
> 
> I'll try to gather further information for the bug report, it may also
> be something related to my configuration that triggers this behavior
> here.

After some investigations, it's indeed a line in my .screenrc that messes
up the xterm with xterm 208-2.

FWIW the offending line in my screenrc is:

caption always "%{=r kd}%-Lw%{= bd}%50>%n%f* %t%{-}%+Lw%<%{- Wk}"

After exiting screen, 'reset' does not restore the cursor when screen
has been launched.  'vim' does.

-- 
Pierre Lombard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 347722@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Pierre Lombard <p_l@gmx.fr>
Cc: 347722@bugs.debian.org
Subject: Re: Bug#347722: xterm: the cursor disappears when launching screen
Date: Fri, 13 Jan 2006 13:57:52 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2006 at 07:30:47PM +0100, Pierre Lombard wrote:
> After some investigations, it's indeed a line in my .screenrc that messes
> up the xterm with xterm 208-2.
> 
> FWIW the offending line in my screenrc is:
> 
> caption always "%{=r kd}%-Lw%{= bd}%50>%n%f* %t%{-}%+Lw%<%{- Wk}"

thanks (I'll decipher that, to satisfy my curiosity).
 
> After exiting screen, 'reset' does not restore the cursor when screen
> has been launched.  'vim' does.

Generally speaking, reset uses the rs2 string that's defined in the terminfo.
A few times (mouse for instance), someone points out for ncurses that it
would be nice to add features to those.  I'll make a note to investigate
the cursor setting in the terminfo descriptions.

vim has built-in tables which it may use instead of the terminfo description.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Pierre Lombard <p_l@gmx.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 347722@bugs.debian.org (full text, mbox):

From: Pierre Lombard <p_l@gmx.fr>
To: Thomas Dickey <dickey@radix.net>
Cc: 347722@bugs.debian.org
Subject: Re: Bug#347722: xterm: the cursor disappears when launching screen
Date: Tue, 14 Feb 2006 10:11:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

* Thomas Dickey <dickey@radix.net> [2006-01-16 10:18]:
> On Fri, Jan 13, 2006 at 07:30:47PM +0100, Pierre Lombard wrote:
> > After some investigations, it's indeed a line in my .screenrc that messes
> > up the xterm with xterm 208-2.
> > 
> > FWIW the offending line in my screenrc is:
> > 
> > caption always "%{=r kd}%-Lw%{= bd}%50>%n%f* %t%{-}%+Lw%<%{- Wk}"
> 
> thanks (I'll decipher that, to satisfy my curiosity).
>  
> > After exiting screen, 'reset' does not restore the cursor when screen
> > has been launched.  'vim' does.
> 
> Generally speaking, reset uses the rs2 string that's defined in the terminfo.
> A few times (mouse for instance), someone points out for ncurses that it
> would be nice to add features to those.  I'll make a note to investigate
> the cursor setting in the terminfo descriptions.
> 
> vim has built-in tables which it may use instead of the terminfo description.

After some debugging, I think I've found the offending chunks in
charproc.c::SGR_Foreground() function.

The code path in this function has changed between previous (working)
and current (non-working) xterm version.

The attached patch restores the previous working (for me) code path for
SGR_Foreground().

FWIW, similar code has also been changed in a similar way in
SGR_Background() so it might be useful to have a look there.

Regards,
-- 
Pierre Lombard
[charproc.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 347722@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Pierre Lombard <p_l@gmx.fr>
Cc: 347722@bugs.debian.org
Subject: Re: Bug#347722: xterm: the cursor disappears when launching screen
Date: Tue, 14 Feb 2006 05:53:31 -0500
[Message part 1 (text/plain, inline)]
On Tue, Feb 14, 2006 at 10:11:17AM +0100, Pierre Lombard wrote:
> After some debugging, I think I've found the offending chunks in
> charproc.c::SGR_Foreground() function.

thanks - I'll take a closer look.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347722; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 347722@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 347722@bugs.debian.org
Subject: re: #347722 xterm: the cursor disappears when launching screen
Date: Thu, 30 Nov 2006 20:26:06 -0500
[Message part 1 (text/plain, inline)]
fix is in xterm #223

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Pierre Lombard <p_l@gmx.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 347722-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 347722-close@bugs.debian.org
Subject: Bug#347722: fixed in xterm 223-1
Date: Tue, 05 Dec 2006 00:47:02 +0000
Source: xterm
Source-Version: 223-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_223-1.diff.gz
  to pool/main/x/xterm/xterm_223-1.diff.gz
xterm_223-1.dsc
  to pool/main/x/xterm/xterm_223-1.dsc
xterm_223-1_i386.deb
  to pool/main/x/xterm/xterm_223-1_i386.deb
xterm_223.orig.tar.gz
  to pool/main/x/xterm/xterm_223.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Dec 2006 19:27:21 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 223-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347722 382225 397624 399638
Changes: 
 xterm (223-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * New upstream release. Includes the following fixes for bugs reported in
     the Debian BTS:
     + add the Xaw scrollbar translations resource to the xterm manpage, add an
       example showing how to change the mouse button assignments
       (closes: #382225).
     + amend cell-width computation for FreeType from patch #217, which did not
       work for VT100 line-drawing characters (closes: #399638).
     + revert an optimisation in SGR_Foreground() and SGR_Background from patch
       #209 (closes: #347722).
     + fixes to make the internalBorder area not change color due to
       reverseVideo and/or related exposure events.  The latter was a very old
       bug exposed in patch #196 (closes: #397624).
    * The fix for #347790 is now included upstream.
Files: 
 0dba4a810da97051168829e842c3d22d 813 x11 optional xterm_223-1.dsc
 bf5bb77496ddf95df32b8e752a6cabb0 804647 x11 optional xterm_223.orig.tar.gz
 1c2b55d636de9271f05364133fb13790 61456 x11 optional xterm_223-1.diff.gz
 66f5c12e9f408a45c22b34a532cbf19d 439164 x11 optional xterm_223-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFdL7tyLfpNdY0ad8RAu1XAJ9dJlPcWA0ioIA7GEMA/eUFnZav8gCfWZYH
PgCbvIVWv4OvjGjRQFq8bjk=
=DBJ2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:05:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:16:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.